Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kie.api.io
Interface KieResources

All Superinterfaces:
  Service

    public interface KieResources

extends Service

KieResources is a factory that provides Resource implementations for the desired IO resource

Method Summary
`Resource` | `newByteArrayResource(byte[] bytes)`
`Resource` | `newClassPathResource(String path)`
`Resource` | `newClassPathResource(String path, Class<?> clazz)`
`Resource` | `newClassPathResource(String path, ClassLoader classLoader)`
`Resource` | `newClassPathResource(String path, String encoding)`
`Resource` | `newClassPathResource(String path, String encoding, Class<?> clazz)`
`Resource` | `newClassPathResource(String path, String encoding, ClassLoader classLoader)`
`Resource` | `newDescrResource(KieDescr descr)`
`Resource` | `newFileSystemResource(File file)`
`Resource` | `newFileSystemResource(String fileName)`
`Resource` | `newInputStreamResource(InputStream stream)`
`Resource` | `newInputStreamResource(InputStream stream, String encoding)`
`Resource` | `newReaderResource(Reader reader)`
`Resource` | `newReaderResource(Reader reader, String encoding)`
`Resource` | `newUrlResource(String path)`
`Resource` | `newUrlResource(URL url)`

Method Detail

### newUrlResource

    Resource newUrlResource(URL url)

### newUrlResource

    Resource newUrlResource(String path)

### newFileSystemResource

    Resource newFileSystemResource(File file)

### newFileSystemResource

    Resource newFileSystemResource(String fileName)

### newByteArrayResource

    Resource newByteArrayResource(byte[] bytes)

### newInputStreamResource

    Resource newInputStreamResource(InputStream stream)

### newInputStreamResource

    Resource newInputStreamResource(InputStream stream,
                                    String encoding)

### newReaderResource

    Resource newReaderResource(Reader reader)

### newReaderResource

    Resource newReaderResource(Reader reader,
                               String encoding)

### newClassPathResource

    Resource newClassPathResource(String path)

### newClassPathResource

    Resource newClassPathResource(String path,
                                  ClassLoader classLoader)

### newClassPathResource

    Resource newClassPathResource(String path,
                                  Class<?> clazz)

### newClassPathResource

    Resource newClassPathResource(String path,
                                  String encoding)

### newClassPathResource

    Resource newClassPathResource(String path,
                                  String encoding,
                                  ClassLoader classLoader)

### newClassPathResource

    Resource newClassPathResource(String path,
                                  String encoding,
                                  Class<?> clazz)

### newDescrResource

    Resource newDescrResource(KieDescr descr)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.